## wing 0.7

=== debian/changelog ===
wing (0.7-32) unstable; urgency=medium

  * Team upload.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
  * debian/control: Update Vcs-* fields to use git packaging repo
    on Debian Salsa GitLab.
  * debian/patches/0003-cross.patch: Add patch to fix FTCBFS.
    (Closes: #908635)
  * debian/rules: ditto.
  * debian/compat: Dropped.
  * Mark package wing-data as Multi-Arch: foreign.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Sep 2021 22:49:32 -0400

wing (0.7-31) unstable; urgency=medium

  * Team upload.
  * Use canonical Vcs address.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Drop deprecated menu file.
  * Convert wing.xpm icon to wing.png and install it into the hicolor icon
    directory.

 -- Markus Koschany <apo@debian.org>  Wed, 18 Oct 2017 18:01:52 +0200

wing (0.7-30) unstable; urgency=low

  * Team upload.
  * Dpkg does not replace symlinks with directories and vice versa, therefore
    maintainer scripts need to be used. Add wing.preinst script. Remove
    wing-data.preinst. (Closes: #720155)
  * Install README with wing.docs.

 -- Markus Koschany <apo@gambaru.de>  Tue, 17 Sep 2013 20:12:56 +0200

wing (0.7-29) unstable; urgency=low

  * Adopt for the Games Team. (Closes: #711564).
    + Add myself to uploaders.
  * Change to source format 3.0 (quilt).
    + Drop build-dep on quilt.
  * Bump debhelper build-dep and compat to 9.
    + Switch to simple dh style rules.
  * Update 010_makefile.diff to pass CPPFLAGS and LDFLAGS.
  * Make maintainer scripts not ignore errors.
  * Fix up debian/copyright file.
  * Make debian/rules not ignore make clean errors.
  * Add watch file.
  * Use Breaks instead of Conflicts for data package.
  * Add Homepage and VCS tags.
  * Add ${misc:Depends} to binary packages.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 03 Aug 2013 19:05:01 -0400

wing (0.7-28) unstable; urgency=low

  * Orphan the package, see #711564.
  * Change versioned build dependency liballegro4.2-dev to unversioned
    dependency on liballegro4-dev. (Closes: #710600)

 -- Tobias Hansen <thansen@debian.org>  Sat, 08 Jun 2013 00:12:52 +0200

wing (0.7-27.1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied Lior Kaplan's patch to make the package binNMU safe.
    (Closes: #432993)
  * Use menu section Games/Action instead of Games/Arcade.
  * debian/rules: Don't forget to remove `.pc' directory upon clean target.

 -- David Ammouial <da-deb@weeno.net>  Sun, 30 Sep 2007 02:14:48 +0200

wing (0.7-27) unstable; urgency=low

  * debian/control:
    + Removed the wing/wing-data circular dependency.
    + Set policy to 3.7.2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 29 May 2006 15:23:03 +0200

wing (0.7-26) unstable; urgency=low

  * debian/control:
    + Build-depend on liballegro4.2-dev (>= 2:4.2.0-4) to fix the missing
      libxcursor-dev build-dependency (Closes: #360191).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 31 Mar 2006 11:22:22 +0200

wing (0.7-25) unstable; urgency=low

  * Moved development to Alioth.
  * debian/rules
    + Switched to quilt for patch handling.
  * debian/control:
    + Build-depend on quilt.

  * 010_makefile.diff: (new patch from old diff.gz) makefile fixes.

  * 020_misc.diff: (new patch from old diff.gz) lots of compilation and bug
    fixes in the code.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 12:33:11 +0200

wing (0.7-24) unstable; urgency=low

  * Rebuilt against liballegro4.2.
  * debian/compat: use version 4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 14:23:34 +0100

wing (0.7-23) unstable; urgency=low

  * Rebuilt package using a version of Allegro that is in Debian.
  * makefile.unx:
    + Compile one file after another instead of #including all files in a
      single compilation pass.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  4 Oct 2005 01:33:21 +0200

wing (0.7-22) unstable; urgency=low

  * g++ transition upload.
  * debian/control:
    + Set policy to 3.6.2.1.
    + Removed leading "a" in short description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  3 Oct 2005 23:08:37 +0200

wing (0.7-21) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
    + Make the data package depend on the same version of the binary package.
  * debian/rules:
    + Use debian/compat instead of DH_COMPAT.
  * debian/menu:
    + Quoted strings where appropriate.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 23 Jul 2004 12:41:34 +0200

wing (0.7-20) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.0.
    + Wrote more meaningful long descriptions (Closes: #210137).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  2 Oct 2003 16:28:06 +0200

wing (0.7-19) unstable; urgency=low

  * Fixed spelling in the wing-data package description.
  * Set policy to 3.5.10.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 30 May 2003 16:58:51 +0200

wing (0.7-18) unstable; urgency=low

  * Fixed dpkg-statoverride calls so that they don't disappear on upgrade.
  * The score file is now /var/games/wing.scores.
  * Fixed data corruption in apstring::>> and ScoreListTYPE::ReadFromFile().
  * Fixed bad shifts in collision.cpp:mk_spr_mask() that caused collision
    detection to fail on alpha (Closes: #188849).

 -- Samuel Hocevar <sam@zoy.org>  Fri, 11 Apr 2003 06:26:43 +0200

wing (0.7-17) unstable; urgency=low

  * Added a SIG_SEGV handler to reset keyboard state when crashing.
  * Disabled collision detection between our weapons and enemies that are not
    finished exploding to avoid double kills (Closes: #188443, part 1).
  * Disabled collision detection between ship and enemy shots when we are not
    finished exploding (Closes: #188443, part 2).
  * The game does not quit immediately when our ship loses its last life, so

