=== debian/control ===
Source: wing
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper-compat (= 13), liballegro4-dev
Standards-Version: 4.6.0
Homepage: http://wing.sourceforge.net/
Vcs-Git: https://salsa.debian.org/games-team/wing.git
Vcs-Browser: https://salsa.debian.org/games-team/wing

Package: wing
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wing-data (= ${source:Version})
Description: Galaga-like arcade game
 WING is a galaga knock-off arcade game. It features high quality
 pre-rendered graphics, dynamically generated stars in background, single
 player game against computer controlled opponents, 6 levels of play,
 digital sound effects, digital music streams, and a high score list.

Package: wing-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: wing (<< 0.7-5)
Description: graphics and audio data for wing
 WING is a galaga knock-off arcade game. It features high quality
 pre-rendered graphics, dynamically generated stars in background, single
 player game against computer controlled opponents, 6 levels of play,
 digital sound effects, digital music streams, and a high score list.
 .
 This package contains the architecture-independent data for wing. For more
 information, see the wing package.
