=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_EXPORT_BUILDFLAGS = 1
export DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- -f makefile.unx CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'

execute_before_dh_install:
	mkdir -p debian/wing-data/usr/share/games/wing
	mkdir -p debian/wing/var/games
	cp -af images debian/wing-data/usr/share/games/wing/
	cp -af levels debian/wing-data/usr/share/games/wing/
	cp -af sound debian/wing-data/usr/share/games/wing/

execute_before_dh_clean:
	[ ! -f makefile.unx ] || $(MAKE) -f makefile.unx clean
